[Deprecated]: v1.0
put
/ec-codelist-svc/rest/v1.0/codelist/code/{codeId}/tag
Deprecated: Updates existing code list with tags for association, disassociation and updates tag names.
Right: CustomCodeListPost.
Right: CustomCodeListPost.
Request
Path Parameters
-
codeId(required): string
ID of the codelist (depending on 'type' parameter, ID can be used as UUID, code name, or tag)Example:
B1B8327AFAA6412287106192AB5984EF
Query Parameters
-
mode(required): string
Mode of the study. Allowed values are active, test and trainingExample:
DESIGN -
studyId(required): string
Unique identifier (UUID, 32-character uppercase hexadecimal string)Example:
B1B8327AFAA6412287106192AB5984EF
Supported Media Types
- application/json
Nested Schema : CodeV2
Type:
Show Source
object-
codeLevel: string
-
codeName: string
-
codeType: string
-
comment: string
-
description: string
-
id: string
(uuid)
-
objectVersionNumber: number
-
operationType: string
-
optlock: string
(date-time)
-
parCodeName: string
-
reason: string
-
softwareVersionNumber: number
-
tag: string
-
userId: string
(uuid)
-
versionEnd: string
(date-time)
-
versionStart: string
(date-time)
Nested Schema : CodeValueV1
Type:
Show Source
object-
code: string
-
codeId: string
(uuid)
-
codeLabel: string
-
codeValue: string
-
comment: string
-
id: string
(uuid)
-
locale: string
-
objectVersionNumber: number
-
operationType: string
-
optLock: string
(date-time)
-
reason: string
-
sequence: number
-
softwareVersionNumber: number
-
userId: string
(uuid)
-
versionEnd: string
(date-time)
-
versionStart: string
(date-time)
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Success
Nested Schema : code
Type:
objectNested Schema : items
Type:
objectExamples
400 Response
'Missing required code definition', 'Missing required values definition','Missing required field (codeName)','Missing required field (codeType)','Duplicate code name', 'Internal server error'
Root Schema : CodeListResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
500 Response
Internal server error
Root Schema : CodeListResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.